//
//	C4BoxMaker.h
//
//	class C4BoxMaker
//	Class for constructing a QD3D model consisting of 4 boxes
//	with colored sides.
//
//	Based on the "Start Here" sample code from Apple.
//
//	by James Jennings
//	Started November 22, 1995
//

#pragma once

#include "CObjectMaker.h"

class C4BoxMaker : public CObjectMaker<TQ3GroupObject> {
public:
 	virtual	void	Make();
			void	AddObjectAt(TQ3Object theObject, TQ3Vector3D *where);
};
