//
//	CQD3DErrorsDoc.h
//
//	class CQD3DErrorsDoc
//	Send QuickDraw 3D errors to a TextEdit window.
//
//	by James Jennings
//	November 23, 1995
//

#pragma once

#include <LSingleDoc.h>

class CQD3DErrorsDoc : LSingleDoc {
public:
				CQD3DErrorsDoc();
	virtual		~CQD3DErrorsDoc();
	
	static CQD3DErrorsDoc *GetInstance() { return singleton; }
	
protected:
			Boolean	Common(StringPtr type, long first, long last);
	TEHandle	mTE;	// the TERecord we stuff things into
private:
	static CQD3DErrorsDoc *singleton;
	static void ErrorMethod(  TQ3Error first,   TQ3Error last,   long reference);
	static void WarningMethod(TQ3Warning first, TQ3Warning last, long reference);
	static void NoticeMethod( TQ3Notice first,  TQ3Notice last,  long reference);
};
