//
//	CQD3DGimbalPane.h
//
//	class CQD3DGimbalPane
//	A class for displaying a QuickDraw 3D view where
//	dragging in the scene moves the camera around such 
//	that up is always up (+z direction).
//
//	by James Jennings
//	Started November 24, 1995
//
//	Note: This is an abstract class, because CQD3D is abstract.
//

#pragma once

#include "CQD3DPane.h"

class CQD3DGimbalPane : public CQD3DPane {
public:
					CQD3DGimbalPane();
					CQD3DGimbalPane(const CQD3DGimbalPane &inOriginal);		
					CQD3DGimbalPane(LStream *inStream);
	
	virtual			~CQD3DGimbalPane();
	
	virtual void	ClickSelf(const SMouseDownEvent &inMouseDown);
protected:
	virtual Boolean	ClickLoop( const EventRecord &inMacEvent);
	
};
